function battle_bai037(npcID)--¹ÇÉß--1Áé»ê


	
	local m=flag.GetBattleValue(16001)
	m=m+1
	flag.SetBattleValue(16001,m)
		if m~=4 then

			local a=battle.GetRndNumber(1,10)
			if a>=1 and a<=4 then
				battle.MagicToPlayer(64,295,1)
			elseif a>=5 and a<=8 then
				battle.MagicToPlayer(0,296,1)
			else
				battle.MagicToPlayer(0,297,1)

			end
		else
			flag.SetBattleValue(16001,0)
			battle.MagicToPlayer(0,297,1)
		end
end